package io.fabric8.openshift.api.model;

import org.assertj.core.api.AbstractAssert;
import org.assertj.core.api.Assertions;


import io.fabric8.kubernetes.assertions.AssertFactory;
import io.fabric8.kubernetes.assertions.NavigationListAssert;

import static org.assertj.core.api.Assertions.assertThat;
import static io.fabric8.kubernetes.assertions.internal.Assertions.assertThat;
import static io.fabric8.openshift.assertions.Assertions.assertThat;

/**
 * Abstract base class for {@link CustomBuildStrategy} specific assertions - Generated by CustomAssertionGenerator.
 */
public abstract class AbstractCustomBuildStrategyAssert<S extends AbstractCustomBuildStrategyAssert<S, A>, A extends CustomBuildStrategy> extends AbstractAssert<S, A> {

  /**
   * Creates a new <code>{@link AbstractCustomBuildStrategyAssert}</code> to make assertions on actual CustomBuildStrategy.
   * @param actual the CustomBuildStrategy we want to make assertions on.
   */
  protected AbstractCustomBuildStrategyAssert(A actual, Class<S> selfType) {
    super(actual, selfType);
  }


  /**
   * Navigates to the property additionalProperties so that assertions can be done on it
   */
  public org.assertj.core.api.MapAssert additionalProperties()  {
    // check that actual CustomBuildStrategy we want to make assertions on is not null.
    isNotNull();

    // return the assertion for the property
    return (org.assertj.core.api.MapAssert) assertThat(actual.getAdditionalProperties()).describedAs(io.fabric8.kubernetes.assertions.Assertions.joinDescription(this, "additionalProperties"));
  }


  /**
   * Navigates to the property buildAPIVersion so that assertions can be done on it
   */
  public org.assertj.core.api.StringAssert buildAPIVersion()  {
    // check that actual CustomBuildStrategy we want to make assertions on is not null.
    isNotNull();

    // return the assertion for the property
    return (org.assertj.core.api.StringAssert) assertThat(actual.getBuildAPIVersion()).describedAs(io.fabric8.kubernetes.assertions.Assertions.joinDescription(this, "buildAPIVersion"));
  }


  /**
   * Navigates to the property env so that assertions can be done on it
   */
  public NavigationListAssert<io.fabric8.kubernetes.api.model.EnvVar, io.fabric8.kubernetes.api.model.EnvVarAssert> env()  {
    isNotNull();

    // return the assertion for the property
    AssertFactory<io.fabric8.kubernetes.api.model.EnvVar, io.fabric8.kubernetes.api.model.EnvVarAssert> assertFactory = new AssertFactory<io.fabric8.kubernetes.api.model.EnvVar, io.fabric8.kubernetes.api.model.EnvVarAssert>() {
      public io.fabric8.kubernetes.api.model.EnvVarAssert createAssert(io.fabric8.kubernetes.api.model.EnvVar t) {
        return (io.fabric8.kubernetes.api.model.EnvVarAssert) assertThat(t);
      }
    };
    NavigationListAssert<io.fabric8.kubernetes.api.model.EnvVar, io.fabric8.kubernetes.api.model.EnvVarAssert> answer = new NavigationListAssert<io.fabric8.kubernetes.api.model.EnvVar, io.fabric8.kubernetes.api.model.EnvVarAssert>(actual.getEnv(), assertFactory);
    answer.describedAs(io.fabric8.kubernetes.assertions.Assertions.joinDescription(this, "env"));
    return answer;
  }


  /**
   * Navigates to the property exposeDockerSocket so that assertions can be done on it
   */
  public org.assertj.core.api.BooleanAssert exposeDockerSocket()  {
    // check that actual CustomBuildStrategy we want to make assertions on is not null.
    isNotNull();

    // return the assertion for the property
    return (org.assertj.core.api.BooleanAssert) assertThat(actual.getExposeDockerSocket()).describedAs(io.fabric8.kubernetes.assertions.Assertions.joinDescription(this, "exposeDockerSocket"));
  }


  /**
   * Navigates to the property forcePull so that assertions can be done on it
   */
  public org.assertj.core.api.BooleanAssert forcePull()  {
    // check that actual CustomBuildStrategy we want to make assertions on is not null.
    isNotNull();

    // return the assertion for the property
    return (org.assertj.core.api.BooleanAssert) assertThat(actual.getForcePull()).describedAs(io.fabric8.kubernetes.assertions.Assertions.joinDescription(this, "forcePull"));
  }


  /**
   * Navigates to the property from so that assertions can be done on it
   */
  public io.fabric8.kubernetes.api.model.ObjectReferenceAssert from()  {
    // check that actual CustomBuildStrategy we want to make assertions on is not null.
    isNotNull();

    // return the assertion for the property
    return (io.fabric8.kubernetes.api.model.ObjectReferenceAssert) assertThat(actual.getFrom()).describedAs(io.fabric8.kubernetes.assertions.Assertions.joinDescription(this, "from"));
  }


  /**
   * Navigates to the property pullSecret so that assertions can be done on it
   */
  public io.fabric8.kubernetes.api.model.LocalObjectReferenceAssert pullSecret()  {
    // check that actual CustomBuildStrategy we want to make assertions on is not null.
    isNotNull();

    // return the assertion for the property
    return (io.fabric8.kubernetes.api.model.LocalObjectReferenceAssert) assertThat(actual.getPullSecret()).describedAs(io.fabric8.kubernetes.assertions.Assertions.joinDescription(this, "pullSecret"));
  }


  /**
   * Navigates to the property secrets so that assertions can be done on it
   */
  public NavigationListAssert<SecretSpec, SecretSpecAssert> secrets()  {
    isNotNull();

    // return the assertion for the property
    AssertFactory<SecretSpec, SecretSpecAssert> assertFactory = new AssertFactory<SecretSpec, SecretSpecAssert>() {
      public SecretSpecAssert createAssert(SecretSpec t) {
        return (SecretSpecAssert) assertThat(t);
      }
    };
    NavigationListAssert<SecretSpec, SecretSpecAssert> answer = new NavigationListAssert<SecretSpec, SecretSpecAssert>(actual.getSecrets(), assertFactory);
    answer.describedAs(io.fabric8.kubernetes.assertions.Assertions.joinDescription(this, "secrets"));
    return answer;
  }


}
