package io.fabric8.openshift.api.model;

import org.assertj.core.api.AbstractAssert;
import org.assertj.core.api.Assertions;


import io.fabric8.kubernetes.assertions.AssertFactory;
import io.fabric8.kubernetes.assertions.NavigationListAssert;

import static org.assertj.core.api.Assertions.assertThat;
import static io.fabric8.kubernetes.assertions.internal.Assertions.assertThat;
import static io.fabric8.openshift.assertions.Assertions.assertThat;

/**
 * Abstract base class for {@link NamedClusterRole} specific assertions - Generated by CustomAssertionGenerator.
 */
public abstract class AbstractNamedClusterRoleAssert<S extends AbstractNamedClusterRoleAssert<S, A>, A extends NamedClusterRole> extends AbstractAssert<S, A> {

  /**
   * Creates a new <code>{@link AbstractNamedClusterRoleAssert}</code> to make assertions on actual NamedClusterRole.
   * @param actual the NamedClusterRole we want to make assertions on.
   */
  protected AbstractNamedClusterRoleAssert(A actual, Class<S> selfType) {
    super(actual, selfType);
  }


  /**
   * Navigates to the property additionalProperties so that assertions can be done on it
   */
  public org.assertj.core.api.MapAssert additionalProperties()  {
    // check that actual NamedClusterRole we want to make assertions on is not null.
    isNotNull();

    // return the assertion for the property
    return (org.assertj.core.api.MapAssert) assertThat(actual.getAdditionalProperties()).describedAs(io.fabric8.kubernetes.assertions.Assertions.joinDescription(this, "additionalProperties"));
  }


  /**
   * Navigates to the property name so that assertions can be done on it
   */
  public org.assertj.core.api.StringAssert name()  {
    // check that actual NamedClusterRole we want to make assertions on is not null.
    isNotNull();

    // return the assertion for the property
    return (org.assertj.core.api.StringAssert) assertThat(actual.getName()).describedAs(io.fabric8.kubernetes.assertions.Assertions.joinDescription(this, "name"));
  }


  /**
   * Navigates to the property role so that assertions can be done on it
   */
  public ClusterRoleAssert role()  {
    // check that actual NamedClusterRole we want to make assertions on is not null.
    isNotNull();

    // return the assertion for the property
    return (ClusterRoleAssert) assertThat(actual.getRole()).describedAs(io.fabric8.kubernetes.assertions.Assertions.joinDescription(this, "role"));
  }


}
